// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// CommonMessageUsecase is an autogenerated mock type for the CommonMessageUsecase type
type CommonMessageUsecase struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *CommonMessageUsecase) Create(item *models.CommonMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.CommonMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *CommonMessageUsecase) Delete(item *models.CommonMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.CommonMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: data
func (_m *CommonMessageUsecase) Get(data string) (*models.CommonMessage, error) {
	ret := _m.Called(data)

	var r0 *models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *models.CommonMessage); ok {
		r0 = rf(data)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(data)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByMessageId provides a mock function with given fields: mid
func (_m *CommonMessageUsecase) GetByMessageId(mid string) (*models.CommonMessage, error) {
	ret := _m.Called(mid)

	var r0 *models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *models.CommonMessage); ok {
		r0 = rf(mid)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(mid)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: messageID
func (_m *CommonMessageUsecase) List(messageID uint) (*[]models.CommonMessage, error) {
	ret := _m.Called(messageID)

	var r0 *[]models.CommonMessage
	if rf, ok := ret.Get(0).(func(uint) *[]models.CommonMessage); ok {
		r0 = rf(messageID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(messageID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListBySender provides a mock function with given fields: sender
func (_m *CommonMessageUsecase) ListBySender(sender string) (*[]models.CommonMessage, error) {
	ret := _m.Called(sender)

	var r0 *[]models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *[]models.CommonMessage); ok {
		r0 = rf(sender)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(sender)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
